Gtk2::Gdk::PixbufLoader(3)

NAME
Gtk2::Gdk::PixbufLoader - wrapper for GdkPixbufLoader

HIERARCHY
  Glib::Object
  +----Gtk2::Gdk::PixbufLoader

METHODS

  pixbufloader = Gtk2::Gdk::PixbufLoader->new

  pixbufloader = Gtk2::Gdk::PixbufLoader->new_with_mime_type ($mime_type)
May croak with a Glib::Error in $@ on failure.

Since: gtk+ 2.4

  pixbufloader = Gtk2::Gdk::PixbufLoader->new_with_type ($image_type)
May croak with a Glib::Error in $@ on failure.

  pixbufanimation or undef = $loader->get_animation

  $loader->close
May croak with a Glib::Error in $@ on failure.

  hash reference = $loader->get_format
Since: gtk+ 2.2

  pixbuf = $loader->get_pixbuf

  $loader->set_size ($width, $height)

•   $width (integer)

•   $height (integer)

Since: gtk+ 2.2

  boolean = $loader->write ($buf)

•   $buf (scalar)

May croak with a Glib::Error in $@ on failure.

SIGNALS

area-prepared (Gtk2::Gdk::PixbufLoader)
area-updated (Gtk2::Gdk::PixbufLoader, integer, integer, integer, integer)
closed (Gtk2::Gdk::PixbufLoader)
size-prepared (Gtk2::Gdk::PixbufLoader, integer, integer)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.